Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# iseq_catch_table_entry Struct Reference

`#include <iseq.h>`

## Data Fields
VALUE | type
VALUE | iseq
unsigned long | start
unsigned long | end
unsigned long | cont
unsigned long | sp

## Detailed Description

Definition at line 48 of file iseq.h.

## Field Documentation

unsigned long iseq_catch_table_entry::cont

Definition at line 53 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

unsigned long iseq_catch_table_entry::end

Definition at line 52 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

VALUE iseq_catch_table_entry::iseq

Definition at line 50 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_s_disasm(), iseq_set_exception_table(), make_name_for_block(), rb_iseq_build_for_ruby2cext(), rb_iseq_disasm(), rb_thread_current_status(), rb_thread_method_id_and_class(), and vm_exec().

unsigned long iseq_catch_table_entry::sp

Definition at line 54 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), and vm_exec().

unsigned long iseq_catch_table_entry::start

Definition at line 51 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

VALUE iseq_catch_table_entry::type

Definition at line 49 of file iseq.h.

Referenced by iseq_data_to_ary(), iseq_set_exception_table(), rb_iseq_disasm(), vm_exec(), and vm_throw().

The documentation for this struct was generated from the following file:

- iseq.h